#!/bin/sh

# this is the install script for BeThere 0.1

INSTALLDIR="/boot/apps/Monkeyworks"

RESULT=$(alert --info "BeThere Installer

Thank you for trying out BeThere. This installer will automatically \
install, and configure BeThere for you. Do you wish to proceed \
with this operation?" "No" "Yes")

if [ $RESULT = "No" ] ; then
	exit
fi


if [ ! -d $INSTALLDIR ]
then
	mkdir $INSTALLDIR
fi

if [ ! -d $INSTALLDIR/BeThere ]
then
	mkdir $INSTALLDIR/BeThere
fi

mkdir $INSTALLDIR/BeThere/public
mkdir $INSTALLDIR/BeThere/private
mkdir $INSTALLDIR/BeThere/alarms

cp -f BeThere_settings /boot/home/config/settings
cp -f BeThere $INSTALLDIR/BeThere
cp -f alarm_daemon $INSTALLDIR/BeThere
mimeset -f $INSTALLDIR/BeThere/BeThere

if [ ! -f /boot/home/config/be/Applications/BeThere ]
then
	ln -s $INSTALLDIR/BeThere/BeThere /boot/home/config/be/Applications/BeThere
fi

cp /boot/home/config/boot/UserBootscript $INSTALLDIR/BeThere/UserBootscript.old
echo "$INSTALLDIR/BeThere/alarm_daemon &" >> /boot/home/config/boot/UserBootscript